using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RMYY_CallCenter_Api.Bll
{

    /// <summary>
    /// T_Sys_Role
    /// </summary>
    public partial class T_Sys_Role
    {
        private readonly Dal.T_Sys_Role dal = new Dal.T_Sys_Role();
        public T_Sys_Role()
        { }
        #region  BasicMethod
        /// <summary>
        /// 是否存在该记录
        /// </summary>
        public bool Exists(string F_RoleCode)
        {
            return dal.Exists(F_RoleCode);
        }

        /// <summary>
        /// 增加一条数据
        /// </summary>
        public int Add(Model.T_Sys_Role model)
        {
            return dal.Add(model);
        }

        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool Update(Model.T_Sys_Role model)
        {
            return dal.Update(model);
        }

        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool Delete(int F_RoleId)
        {

            return dal.Delete(F_RoleId);
        }
        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool DeleteList(string F_RoleIdlist)
        {
            return dal.DeleteList(F_RoleIdlist);
        }

        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public Model.T_Sys_Role GetModel(int F_RoleId)
        {

            return dal.GetModel(F_RoleId);
        }

        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public Model.T_Sys_Role GetModel(string F_RoleCode)
        {

            return dal.GetModel(F_RoleCode);
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            return dal.GetList(strWhere);
        }
        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            return dal.GetList(Top, strWhere, filedOrder);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<Model.T_Sys_Role> GetModelList(string strWhere)
        {
            DataSet ds = dal.GetList(strWhere);
            return DataTableToList(ds.Tables[0]);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<Model.T_Sys_Role> DataTableToList(DataTable dt)
        {
            List<Model.T_Sys_Role> modelList = new List<Model.T_Sys_Role>();
            int rowsCount = dt.Rows.Count;
            if (rowsCount > 0)
            {
                Model.T_Sys_Role model;
                for (int n = 0; n < rowsCount; n++)
                {
                    model = dal.DataRowToModel(dt.Rows[n]);
                    if (model != null)
                    {
                        modelList.Add(model);
                    }
                }
            }
            return modelList;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetAllList()
        {
            return GetList("");
        }

        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public int GetRecordCount(string strWhere)
        {
            return dal.GetRecordCount(strWhere);
        }

        #endregion  BasicMethod
    }
}
